onyx(1)

NAME
onyx - stand-alone Onyx language interpreter

SYNOPSIS
onyx -h
onyx -V
onyx -e <expr>
onyx [-i <expr>]* [-f <file>]* [-s <expr>]
onyx <file> [<args>]

DESCRIPTION
The onyx program is a stand-alone Onyx language interpreter, with an integrated command line editor. This manual page only documents the command line usage for onyx; much more extensive documentation is available in HTML and PDF formats. See the FILES section below.

  Command line flags:

-e  <expr>
    Execute <expr> as Onyx code.

-f  <file>
    Evaluate contents of initalization <file>.

-h  Display usage information and exit.

-i  <expr>
    Evaluate initalization <expr>.

-s  <expr>
    Call the start operator with <expr> as the argument, rather than stdin.

-V  Display the version number and exit.

FILES
/usr/local/share/doc/onyx/html/onyx.html
/usr/local/share/doc/onyx/pdf/onyx.pdf

HISTORY
Written by Jason Evans <jasone@canonware.com>.